@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap');

@import "variables"; // First our colors
@import "~bootstrap/scss/bootstrap";
@import "~bootstrap-vue/src/index";

$NAVBAR_SM_HEIGHT: 6rem;
$NAVBAR_MD_HEIGHT: 6rem;

$BODY_MARGIN_BOTTOM: 5vh;
$FOOTER_MD_HEIGHT: 8rem;
$FOOTER_SM_HEIGHT: 10rem;

$SM: 576px;
$MD: 768px;
$LG: 992px;
$XL: 1200px;

html {
  scroll-behavior: smooth;
  position: relative;
  min-height: 100%;
}

/*
.shadow {
  box-shadow: 0 0.3rem 0.7rem $light !important;
}
*/

.input-common-height {
  height: 2.8rem;
}
.text-black {
  color: black!important;
}





body {
  margin-bottom: calc(#{$FOOTER_MD_HEIGHT} + #{$BODY_MARGIN_BOTTOM}) !important;
}

//@media (max-width: 576px) {
//  body {
//    margin-bottom: calc(#{$FOOTER_SM_HEIGHT} + #{$BODY_MARGIN_BOTTOM}) !important;
//  }
//}
//
//@media (min-width: 576px) {  //  SM - Small - Smartphones
//  body {
//    margin-bottom: calc(#{$FOOTER_SM_HEIGHT} + #{$BODY_MARGIN_BOTTOM}) !important;
//  }
//}

@media (min-width: 768px) {   //  MD - Medium - Tablets
  .right-divider {
    border-right: 1px solid rgba(0,0,0,.1);
    height: 50%;
  }

  //body {
  //  margin-bottom: calc(#{$FOOTER_MD_HEIGHT} + #{$BODY_MARGIN_BOTTOM}) !important;
  //}
}

@media (min-width: 992px) {  //  LG - Large - Desktops

}

@media (min-width: 1200px) {  // XL - Extra Large - Large Desktops

}




//        ANIMAZIONI

@-webkit-keyframes completeRotation {
  from {
    -webkit-transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(359deg);
  }
}

@-webkit-keyframes antiRotation {
  from {
    -webkit-transform: rotate(360deg);
  }
  to {
    -webkit-transform: rotate(0deg);
  }
}

@-webkit-keyframes up-down {
  0% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(-15px);
  }

}

.animate {
  transition: transform .2s;
}

.animate:hover {
  transform: scale(1.05);
}

//  shadowOnHover

.shadowOnHover:hover {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}


//  Hover-Shadow

@keyframes hover-shadow {
  0% {
    transform: translateY(6px);
    opacity: 0.4;
  }

  50% {
    transform: translateY(3px);
    opacity: 1;
  }

  100% {
    transform: translateY(6px);
    opacity: 0.4;
  }
}

$defaultDuration: 2s;

.hover-shadow {
  display: inline-block;
  position: relative;
  transition-duration: $defaultDuration;
  transition-property: transform;

  //@include hideTapHighlightColor();
  //@include hardwareAccel();
  //@include improveAntiAlias();

  &:before {
    pointer-events: none;
    position: absolute;
    z-index: -1;
    content: "";
    top: 100%;
    left: 5%;
    height: 10px;
    width: 90%;
    opacity: 0;
    background: radial-gradient(
                    ellipse at center,
                    rgba(0, 0, 0, 0.35) 0%,
                    rgba(0, 0, 0, 0) 80%
    ); /* W3C */
    transition-duration: $defaultDuration;
    transition-property: transform opacity;
  }

  &:hover {
    transform: translateY(-6px);
    animation-name: hover;
    animation-duration: 1.5s;
    animation-delay: $defaultDuration;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    animation-direction: alternate;

    &:before {
      opacity: 0.4;
      transform: translateY(6px);
      animation-name: hover-shadow;
      animation-duration: 1.5s;
      animation-delay: 0.3s;
      animation-timing-function: linear;
      animation-iteration-count: infinite;
      animation-direction: alternate;
    }
  }
}

